org.red5.server.api.persistence

## Class PersistenceUtils

- java.lang.Object
- - org.red5.server.api.persistence.PersistenceUtils

    public class PersistenceUtils
    extends Object

Helper class for persistence.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Constructor Summary

Constructors
Constructor and Description
`PersistenceUtils()`

### Method Summary

Methods
`static IPersistenceStore` `getPersistenceStore(org.springframework.core.io.support.ResourcePatternResolver resolver, String className)` Returns persistence store object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PersistenceUtils

    public PersistenceUtils()

### Method Detail

#### getPersistenceStore

    public static IPersistenceStore getPersistenceStore(org.springframework.core.io.support.ResourcePatternResolver resolver,
                                        String className)
                                                 throws Exception

Returns persistence store object. Persistence store is a special object that stores persistence objects and provides methods to manipulate them (save, load, remove, list).

Parameters:
  `resolver` - Resolves connection pattern into Resource object
  `className` - Name of persistence class
Returns:
  IPersistence store object that provides methods for persistence object handling
Throws:
  `Exception` - if error